class e extends Error {
  constructor(r, t) {
    super(r ? `${t} at ${r.range.start.line}:${r.range.start.character}` : t);
  }
}
function n(a) {
  throw new Error("Error! The input value was not handled.");
}
export {
  e as ErrorWithLocation,
  n as assertUnreachable
};
